curl -X DELETE 'https://api.60db.ai/deep-analytics/analysis-agents/3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f' \
-H "Authorization: Bearer your-api-key"
const res = await fetch('https://api.60db.ai/deep-analytics/analysis-agents/3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f', {
method: 'DELETE',
headers: { Authorization: 'Bearer your-api-key' },
});
const { success, data, message, code } = await res.json();
if (!success) throw new Error(`${code}: ${message}`);
Call Analysis
Archive Analyzer
Archive an analyzer
DELETE
/
deep-analytics
/
analysis-agents
/
:agentId
curl -X DELETE 'https://api.60db.ai/deep-analytics/analysis-agents/3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f' \
-H "Authorization: Bearer your-api-key"
const res = await fetch('https://api.60db.ai/deep-analytics/analysis-agents/3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f', {
method: 'DELETE',
headers: { Authorization: 'Bearer your-api-key' },
});
const { success, data, message, code } = await res.json();
if (!success) throw new Error(`${code}: ${message}`);
Archives the analyzer. It stops watching call agents. Calls and recordings are kept.
Needs
manage on the analyzer.Request
Headers
Path
Response
200{
"success": true,
"data": {
"id": "3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f",
"archived": true
}
}
Errors
Errors use{ "success": false, "message": "...", "code": "..." }. See the overview for the codes every route can return.
This endpoint
| Status | Code | When |
|---|---|---|
| 404 | NOT_FOUND | Already archived or not found |
Example
curl -X DELETE 'https://api.60db.ai/deep-analytics/analysis-agents/3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f' \
-H "Authorization: Bearer your-api-key"
const res = await fetch('https://api.60db.ai/deep-analytics/analysis-agents/3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f', {
method: 'DELETE',
headers: { Authorization: 'Bearer your-api-key' },
});
const { success, data, message, code } = await res.json();
if (!success) throw new Error(`${code}: ${message}`);